/*#region VARIABLE OVERRIDES */
.action {
  background-color: #9324ee;
}

.primary {
  background-color: #258EA6;
}

.accent {
  background-color: #395DA6;
}

.dark {
  background-color: #011640;
}

.text-action {
  color: #9324ee !important;
}

.text-primary {
  color: #258EA6 !important;
}

.text-accent {
  color: #395DA6 !important;
}

.text-dark {
  color: #011640 !important;
}

.text-white {
  color: #fff !important;
}

.text-gray {
  color: #495057;
}

/*#endregion */
/*#region GENERAL STYLES */
html {
  scroll-behavior: smooth !important;
}

.contentWrapper {
  background-color: transparent;
  overflow: hidden;
  padding-top: 44px;
}

.bg-light {
  background: #FEFCF8;
}

.bg-dark {
  background-color: #011640;
}

.headerWrapper {
  display: block;
  width: 100%;
  position: fixed;
  background-color: #fff;
  z-index: 5;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.05), 0 6px 20px rgba(0, 0, 0, 0.05);
}

.inner-box, .inner-box-with-border {
  position: relative;
  display: block;
  background-color: #fff;
  padding: 1.5rem .5rem;
  border: 1px solid #e9ecef;
  border-radius: 0.3rem;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.05), 0 6px 20px rgba(0, 0, 0, 0.05);
}

.inner-box-with-border {
  border: none;
  border-bottom: 0.3rem solid #9324ee;
}

@media screen and (min-width: 600px) and (max-width: 1199px) {
  .inner-box {
    padding: 1.75rem 1.5rem;
  }
}

@media screen and (min-width: 1200px) {
  .inner-box {
    padding: 1.75rem 2.25rem;
  }
  .inner-box-lg {
    padding: 2.5rem 3.25rem;
  }
}

/*#endregion */
/*#region SECTION STYLES */
.section-padded-xs {
  padding-top: calc(1.625rem + 2.5vw);
  padding-bottom: calc(1.625rem + 2.5vw);
}

.section-padded-sm {
  padding-top: calc(1.625rem + 3.5vw);
  padding-bottom: calc(1.625rem + 3.5vw);
}

.section-padded {
  padding-top: calc(1.625rem + 4.5vw);
  padding-bottom: calc(1.625rem + 4.5vw);
}

.section-padded-bottom {
  padding-bottom: calc(1.625rem + 4.5vw);
}

.section-padded-bottom-sm {
  padding-bottom: calc(1.625rem + 3.5vw);
}

.container-200,
.container-240,
.container-290,
.container-320,
.container-360,
.container-400,
.container-420,
.container-480,
.container-500,
.container-600,
.container-700,
.container-800,
.container-900 {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding-left: 15px;
  padding-right: 15px;
}

.container-200 {
  max-width: 200px;
}

.container-240 {
  max-width: 240px;
}

.container-290 {
  max-width: 290px;
}

.container-320 {
  max-width: 320px;
}

.container-360 {
  max-width: 360px;
}

.container-400 {
  max-width: 400px;
}

.container-420 {
  max-width: 420px;
}

.container-480 {
  max-width: 480px;
}

.container-500 {
  max-width: 500px;
}

.container-600 {
  max-width: 600px;
}

.container-700 {
  max-width: 700px;
}

.container-800 {
  max-width: 800px;
}

.container-900 {
  max-width: 900px;
}

/*#endregion */
/*#region IMAGES */
.img-contain {
  display: block;
  width: 100%;
  height: 100%;
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
  object-position: center center;
  font-family: 'object-fit: contain; object-position: center center;';
}

.img-cover {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center center;
  font-family: 'object-fit: cover; object-position: center center;';
}

/*#endregion */
/*#region TYPOGRAPHY */
a {
  color: #395DA6;
}

a:hover {
  color: shift-color(#395DA6, 20%);
}

.fas {
  color: #9324ee;
  display: inline;
  padding-right: 1rem;
}

.fab {
  color: #258EA6;
}

.content-box h6 {
  color: #9324ee;
}

/*#endregion */
/*#region BUTTONS */
.theme-btn {
  position: relative;
  display: inline-block;
  font-family: "DM Sans", sans-serif;
  border-radius: 0.3rem;
  font-weight: 700;
  z-index: 1;
  transition: all 500ms ease;
  color: #fff !important;
}

.theme-btn:before, .theme-btn:after {
  position: absolute;
  content: '';
  right: 0;
  top: 0;
  width: 0%;
  height: 100%;
  background: #000 !important;
  z-index: -1;
  transition: all 500ms ease;
}

.theme-btn:before {
  left: 0;
  border-radius: .3rem 0 0 .3rem;
}

.theme-btn:after {
  right: 0;
  border-radius: 0 .3rem .3rem 0;
}

.theme-btn:hover, .theme-btn:focus {
  background-color: #000;
}

.theme-btn:hover:before, .theme-btn:hover:after, .theme-btn:focus:before, .theme-btn:focus:after {
  width: 50%;
}

.theme-btn.primary {
  background-color: #258EA6;
}

.theme-btn.action {
  background-color: #9324ee;
}

.theme-btn.dark {
  background-color: #011640;
}

.theme-btn.accent {
  background-color: #395DA6;
}

/*#endregion */
/*#region HERO BANNER */
.slideshow-image {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100vh;
    background-image: url('images/hero-image-1.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
    z-index: -2;
}

.heroWrapper {
  overflow: hidden;
  width: 100%;
  height: 100vh;
}

.heroWrapper .hero {
  width: 100%;
  height: 100%;
}

.heroWrapper .hero .content-box {
  width: 100%;
  max-width: 600px;
}

.heroWrapper .hero .content-box .btn-box, .heroWrapper .hero .content-box h1, .heroWrapper .hero .content-box h5 {
  display: block;
  color: #fff;
}

.heroWrapper .hero .content-box h1 {
  font-weight: 700;
  margin-bottom: 1.5rem;
}

.heroWrapper .hero .content-box h5 {
  margin-bottom: 2rem;
  font-weight: 400;
  max-width: 500px;
}

@media screen and (min-width: 992px) {
  .slideshow-image {
    animation-fill-mode: both;
    -webkit-animation-fill-mode: both;
    background-position: center top;
    -webkit-animation-timing-function: linear;
    animation-timing-function: linear;
    -webkit-animation-duration: 6s;
    animation-duration: 6s;
    -webkit-animation-name: kenburns-1;
    animation-name: kenburns-1;
  }
}

@media only screen and (min-device-width: 0px) and (max-device-width: 767px) and (orientation: landscape) {
  .slideshow-image, .heroWrapper {
    height: 100vmax;
  }
}

@media only screen and (min-device-width: 0px) and (max-device-width: 991px) and (orientation: portrait) {
  .slideshow-image, .heroWrapper {
    height: 85vh;
  }
  .hero .content-box {
    margin-top: 10vh;
  }
}

/*#endregion */
/*#region FEATURES BANNER */
.features-banner {
  display: block;
  position: relative;
  background-color: #011640;
}

.features-banner::before {
    z-index: -1;
    display: flex;
    align-items: end;
    justify-content: center;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    padding-bottom: 11%;
    content: "";
    color: #fff;
    background-image: url("images/bg-banner-2.png");
    background-size: cover;
    background-position: center top;
    animation-fill-mode: both;
    -webkit-animation-fill-mode: both;
    -webkit-animation-timing-function: ease;
    animation-timing-function: ease;
    -webkit-animation-iteration-count: 1;
    animation-iteration-count: 1;
    -webkit-animation-duration: 1.5s;
    animation-duration: 1.5s;
    -webkit-animation-name: kenburns-2;
    animation-name: kenburns-2;
}

.features-banner .features .single-item .inner-box h5 {
  display: block;
  font-weight: 700;
  border-bottom: 3px solid #e9ecef;
  padding-bottom: .4rem;
  margin-bottom: 1rem;
  text-transform: uppercase;
}

.features-banner .features .single-item .inner-box p {
  display: inline-block;
  color: #495057;
  font-weight: 500;
}

@media screen and (min-width: 992px) {
  .features-banner::before {
    padding-bottom: 8%;
  }
}

/*#endregion */
/*#region ABOUT */
.about {
  display: block;
  position: relative;
  width: 100%;
  background-color: #ffffff;
  padding-top: 10vmax;
  padding-bottom: 8vmax;
}

.about .image-box {
  display: block;
  position: relative;
  margin-right: 15px;
}

.about .image-box .inner-box {
  display: block;
  position: absolute;
  width: 80%;
  min-height: 80px;
  top: auto;
  bottom: -95px;
  left: auto;
  right: -15px;
  content: "";
  z-index: 3;
  /*overflow: hidden;*/
}

/*#endregion */
/*#region WEBAPP */
.webAppWrapper {
  display: block;
  position: relative;
  width: 100%;
  background-color: #FEFCF8;
  background-image: url("images/bg-pattern.png");
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: center top;
}

/*#endregion */
/*#region LOGIN */
.contentWrapper.bg-login, .contentWrapper.bg-login-3 {
  min-height: 100vh;
  background-image: url("https://www.luminowebdesign.no/images/vb/hero-image-login.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: -20% center;
  overflow: hidden;
}

.contentWrapper.bg-login-3 {
  background-image: url("https://www.luminowebdesign.no/images/vb/bg-banner-2.png");
  background-position: center bottom;
  background-size: 100% 20vh;
}

.loginForm {
  min-height: 80vh;
}

@media only screen and (min-device-width: 0px) and (max-device-width: 992px) and (orientation: landscape) {
  .loginForm {
    min-height: 90vmax;
  }
}

@media only screen and (min-device-width: 0px) and (max-device-width: 767px) and (orientation: portrait) {
  .contentWrapper.bg-login-3 {
    background-image: url("https://www.luminowebdesign.no/images/vb/bg-banner-2.png");
    background-position: center bottom;
    background-size: 100% 12vh;
  }
}

/*#endregion */
/*#region KEYFRAMES */
@-webkit-keyframes kenburns-1 {
  0% {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  1.5625% {
    opacity: 1;
  }
  23.4375% {
    opacity: 1;
  }
  26.5625% {
    opacity: 1;
    -webkit-transform: scale(1.05);
    transform: scale(1.05);
  }
  100% {
    opacity: 1;
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }
}

@keyframes kenburns-1 {
  0% {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  1.5625% {
    opacity: 1;
  }
  23.4375% {
    opacity: 1;
  }
  26.5625% {
    opacity: 1;
    -webkit-transform: scale(1.05);
    transform: scale(1.05);
  }
  100% {
    opacity: 1;
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }
}

@keyframes kenburns-2 {
  from {
    transform: translate(0, -50%);
  }
  to {
    transform: translate(0, -99%);
  }
}

@-webkit-keyframes kenburns-2 {
  from {
    transform: translate(0, -50%);
  }
  to {
    transform: translate(0, -99%);
  }
}

/*#endregion */
